# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: py-lief
  version: 0.10.1
source:
  - fn: lief-0.10.1.tar.gz
    patches:
      - 0001-python-Only-pass-NODEFAULTLIB-MSVCRT-when-not-BUILD_.patch
      - 0002-Fix-typo-BuildeVersion-BuildVersion-which-may-lead-t.patch
      - 0003-Export-BuildToolVersion.patch
      - 0004-Do-not-annotate-static-ELF-Parser-s-parse-function-a.patch
      - 0005-Update-LIEF_VERSION_PATCH-to-1-for-v0.10.1.patch
      - 0006-Call-the-C-DLL-libLIEF.dll-so-it-does-not-clash-with.patch
      - 0007-Add-LIEFOptions-for-BUILD_STATIC_LIBS-and-BUILD_SHAR.patch
      - 0008-Add-_DEBUG-when-CMAKE_BUILD_TYPE-matches-Debug.patch
      - 0009-Avoid-deprecated-get_config_var-SO-use-EXT_SUFFIX-lo.patch
      - 0010-Fix-module-entry-point-declaration.patch
    sha256: 6f30c98a559f137e08b25bcbb376c0259914b33c307b8b901e01ca952241d00a
    url: https://github.com/lief-project/LIEF/archive/0.10.1.tar.gz
build:
  ignore_run_exports:
    - python
  number: 1
  run_exports:
    - py-lief >=0.10.1,<0.11.0a0
  string: py37h7c1a80f_1
requirements:
  build:
    - _openmp_mutex 5.1 1_gnu
    - binutils_impl_linux-aarch64 2.36.1 h21f23c2_2
    - binutils_linux-aarch64 2.36 h1234567_30_bootstrapping
    - bzip2 1.0.8 hfd63f10_0
    - ca-certificates 2021.1.19 hd43f75c_0
    - ccache 3.7.9 h8ea0f78_0
    - cmake 3.19.6 h1ac774c_0
    - expat 2.2.9 h7c1a80f_2
    - gcc_impl_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - gcc_linux-aarch64 10.2.0 h1234567_30_bootstrapping
    - gxx_impl_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - gxx_linux-aarch64 10.2.0 h1234567_30_bootstrapping
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_12
    - krb5 1.19.1 h4b604a8_0
    - ld_impl_linux-aarch64 2.36.1 hfa81395_2
    - libcurl 7.71.1 h48584d0_1
    - libedit 3.1.20191231 hfd63f10_0
    - libffi 3.3 h7c1a80f_2
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - libgcc-ng 10.2.0 h1234567_0_bootstrapping
    - libgomp 10.2.0 h1234567_0_bootstrapping
    - libssh2 1.9.0 hcd09bdd_1
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - libstdcxx-ng 10.2.0 h1234567_0_bootstrapping
    - libuv 1.39.0 hfd63f10_0
    - lz4-c 1.9.3 h7c1a80f_0
    - ncurses 6.2 hfd63f10_0
    - ninja 1.10.2 py39h949e957_0
    - openssl 1.1.1j hfd63f10_0
    - pkg-config 0.29.2 hfd63f10_0
    - python 3.9.1 he65049a_6
    - readline 8.1 hfd63f10_0
    - rhash 1.4.1 hcd09bdd_1
    - sqlite 3.32.3 h2e10e0d_0
    - sysroot_linux-aarch64 2.26 h4744778_12
    - tk 8.6.10 h8ea0f78_0
    - tzdata 2020f h52ac0ba_0
    - xz 5.2.4 hfd63f10_4
    - zlib 1.2.11 hfd63f10_3
    - zstd 1.4.8 h20642d3_1
  host:
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2021.1.19 hd43f75c_0
    - certifi 2020.12.5 py37hd43f75c_0
    - ld_impl_linux-aarch64 2.36.1 hfa81395_2
    - libedit 3.1.20191231 hfd63f10_0
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 10.2.0 h1234567_0_bootstrapping
    - libgomp 10.2.0 h1234567_0_bootstrapping
    - liblief 0.10.1 h7c1a80f_1
    - libstdcxx-ng 10.2.0 h1234567_0_bootstrapping
    - ncurses 6.2 hfd63f10_0
    - openssl 1.1.1j hfd63f10_0
    - pip 21.0.1 py37hd43f75c_0
    - python 3.7.10 he65049a_0
    - readline 8.1 hfd63f10_0
    - setuptools 52.0.0 py37hd43f75c_0
    - sqlite 3.32.3 h2e10e0d_0
    - tk 8.6.10 h8ea0f78_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.4 hfd63f10_4
    - zlib 1.2.11 hfd63f10_3
  run:
    - libgcc-ng >=10.2.0
    - liblief 0.10.1 h7c1a80f_1
    - libstdcxx-ng >=10.2.0
    - python >=3.7,<3.8.0a0
test:
  imports:
    - lief
  requires:
    - gxx_linux-aarch64 10.*
about:
  description: 'It turns out that many projects need to parse executable formats and
    they usually re-implement

    their own parser. Moreover these parsers are usually bound to one language.

    LIEF attempts to fill this void.

    '
  doc_source_url: https://github.com/lief-project/LIEF/tree/master/doc
  doc_url: https://lief.quarkslab.com/doc/stable/index.html
  home: https://lief.quarkslab.com/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: A cross platform library to parse, modify and abstract ELF, PE and MachO
    formats.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - isuruf
    - mingwandroid
    - msarahan
